🚧 [Experimental] Get cloud environment
Returns the specified cloud environment.
Request
POST
https://api.datalens.tech/rpc/getCloudEnvironment
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"id": "example",
"includePermissions": true
}
|
Name |
Description |
|
id |
Type: string ID of the cloud environment to return. Min length: Max length: Example: |
|
includePermissions |
Type: boolean Whether to return permissions of the current user. |
Responses
200 OK
Response
Body
application/json
{
"id": "example",
"name": "example",
"description": "example",
"createdAt": {
"seconds": "example",
"nanos": 0.5
},
"createdById": "example",
"updatedAt": {
"seconds": "example",
"nanos": 0.5
},
"updatedById": "example",
"status": "STATUS_UNSPECIFIED",
"statusDetails": "example",
"cloudId": "example",
"tenantId": "example",
"subnetId": "example",
"securityGroupIds": [
"example"
],
"permissions": {},
"storage": {
"maxSize": "example"
}
}
|
Name |
Description |
||||
|
cloudId |
Type: string ID of the cloud that hosts the cloud environment. Example: |
||||
|
createdAt |
Type: object
Time when the cloud environment was created. Example
|
||||
|
createdById |
Type: string ID of the cloud environment creator. Example: |
||||
|
id |
Type: string ID of the cloud environment. Min length: Example: |
||||
|
name |
Type: string Name of the cloud environment. Min length: Example: |
||||
|
securityGroupIds |
Type: string[] IDs of the security groups used by the cloud environment. Example
|
||||
|
status |
Type: string Current status of the cloud environment. Enum: |
||||
|
statusDetails |
Type: string Details of the current status. Example: |
||||
|
subnetId |
Type: string ID of the subnet used by the cloud environment. Example: |
||||
|
tenantId |
Type: string ID of the DataLens tenant. Example: |
||||
|
updatedAt |
Type: object
Time when the cloud environment was last updated. Example
|
||||
|
updatedById |
Type: string ID of the user who last updated the cloud environment. Example: |
||||
|
description |
Type: string Description of the cloud environment. Example: |
||||
|
permissions |
Type: object
Permissions of the current user for the cloud environment. Example
|
||||
|
storage |
Type: object | null Storage settings of the cloud environment. Example
|